<?php

/**
 * @author: VLThemes
 * @version: 2.0.0
 */

/**
 * Disable FontAwesome 5
 */
add_filter( 'vpf_enqueue_plugin_font_awesome', '__return_false' );

/**
 * Add new item styles
 */
if ( ! function_exists( 'leedo_vpf_extend_items_styles' ) ) {
	function leedo_vpf_extend_items_styles( $items_styles ) {
		$custom_style = [];

		$custom_style['leedo_post_default'] = array(
			'title' => esc_html__( '[Post] Default', 'leedo' ),
			'icon' => '<svg width="20px" height="21px" viewBox="0 0 20 21" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd"><g fill-rule="nonzero" stroke="currentColor" stroke-width="1.5"><rect id="Rectangle" x="0.75" y="0.75" width="18.5" height="18.625" rx="1.25"></rect><line x1="6" y1="15" x2="14.21425" y2="15" id="Path" fill="currentColor" stroke-linecap="round" stroke-linejoin="round"></line><line x1="5.98800763" y1="13.9127432" x2="5.5" y2="4.5" id="Path" fill="currentColor" stroke-linecap="round" stroke-linejoin="round"></line></g></g></svg>',
			'builtin_controls' => array(
				'show_title' => false,
				'show_categories' => false,
				'show_date' => false,
				'show_excerpt' => false,
				'show_icons' => false,
				'align' => false,
			),
			'controls' => array(
				array(
					'type' => 'toggle',
					'label' => esc_html__( 'Show Thumbnail', 'leedo' ),
					'name' => 'post_default_thumbnail',
					'default' => true,
				),
				array(
					'type' => 'toggle',
					'label' => esc_html__( 'Show Read More Button', 'leedo' ),
					'name' => 'post_default_read_more',
					'default' => true,
				),
				array(
					'type' => 'range',
					'label' => esc_html__( 'Excerpt Length', 'leedo' ),
					'name' => 'post_default_excerpt',
					'min' => 1,
					'max' => 200,
					'step' => 1,
					'default' => 50,
				)
			)
		);

		$custom_style['leedo_post_masonry'] = array(
			'title' => esc_html__( '[Post] Masonry', 'leedo' ),
			'icon' => '<svg width="20px" height="21px" viewBox="0 0 20 21" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd"><g fill-rule="nonzero" stroke="currentColor" stroke-width="1.5"><rect id="Rectangle" x="0.75" y="0.75" width="18.5" height="18.625" rx="1.25"></rect><line x1="6" y1="15" x2="14.21425" y2="15" id="Path" fill="currentColor" stroke-linecap="round" stroke-linejoin="round"></line><line x1="5.98800763" y1="13.9127432" x2="5.5" y2="4.5" id="Path" fill="currentColor" stroke-linecap="round" stroke-linejoin="round"></line></g></g></svg>',
			'builtin_controls' => array(
				'show_title' => false,
				'show_categories' => false,
				'show_date' => false,
				'show_excerpt' => false,
				'show_icons' => false,
				'align' => false,
			),
			'controls' => array(
				array(
					'type' => 'toggle',
					'label' => esc_html__( 'Show Thumbnail', 'leedo' ),
					'name' => 'post_masonry_thumbnail',
					'default' => true,
				),
				array(
					'type' => 'toggle',
					'label' => esc_html__( 'Padding', 'leedo' ),
					'name' => 'post_masonry_padding',
					'default' => false,
				),
				array(
					'type' => 'toggle',
					'label' => esc_html__( 'Background', 'leedo' ),
					'name' => 'post_masonry_background',
					'default' => false,
				),
				array(
					'type' => 'range',
					'label' => esc_html__( 'Excerpt Length', 'leedo' ),
					'name' => 'post_masonry_excerpt',
					'min' => 1,
					'max' => 200,
					'step' => 1,
					'default' => 20,
				)
			)
		);

		$custom_style['leedo_work_instagram'] = array(
			'title' => esc_html__( '[Work] Instagram', 'leedo' ),
			'icon' => '<svg width="20px" height="21px" viewBox="0 0 20 21" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd"><g fill-rule="nonzero" stroke="currentColor" stroke-width="1.5"><rect id="Rectangle" x="0.75" y="0.75" width="18.5" height="18.625" rx="1.25"></rect><line x1="6" y1="15" x2="14.21425" y2="15" id="Path" fill="currentColor" stroke-linecap="round" stroke-linejoin="round"></line><line x1="5.98800763" y1="13.9127432" x2="5.5" y2="4.5" id="Path" fill="currentColor" stroke-linecap="round" stroke-linejoin="round"></line></g></g></svg>',
			'builtin_controls' => array(
				'show_title' => false,
				'show_categories' => false,
				'show_date' => false,
				'show_excerpt' => false,
				'show_icons' => true,
				'align' => false
			),
			'controls' => array(
				array(
					'type' => 'color',
					'label' => esc_html__( 'Overlay background color', 'leedo' ),
					'name' => 'work_style_1_overlay_background_color',
					'default' => '',
					'alpha' => true,
					'style' => array(
						array(
							'element' => '.vp-portfolio__items-style-leedo_work_instagram',
							'property' => '--vp-items-style-fade--overlay__background-color',
						),
					),
				),
				array(
					'type' => 'color',
					'label' => esc_html__( 'Overlay text color', 'leedo' ),
					'name' => 'work_style_1_overlay_text_color',
					'default' => '',
					'alpha' => true,
					'style' => array(
						array(
							'element' => '.vp-portfolio__items-style-leedo_work_instagram',
							'property' => '--vp-items-style-fade--overlay__color',
						),
					),
				)
			)
		);

		$custom_style['leedo_work_style_1'] = array(
			'title' => esc_html__( '[Work] Style 1', 'leedo' ),
			'icon' => '<svg width="20px" height="21px" viewBox="0 0 20 21" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd"><g fill-rule="nonzero" stroke="currentColor" stroke-width="1.5"><rect id="Rectangle" x="0.75" y="0.75" width="18.5" height="18.625" rx="1.25"></rect><line x1="6" y1="15" x2="14.21425" y2="15" id="Path" fill="currentColor" stroke-linecap="round" stroke-linejoin="round"></line><line x1="5.98800763" y1="13.9127432" x2="5.5" y2="4.5" id="Path" fill="currentColor" stroke-linecap="round" stroke-linejoin="round"></line></g></g></svg>',
			'builtin_controls' => array(
				'show_title' => true,
				'show_categories' => true,
				'show_date' => false,
				'show_excerpt' => false,
				'show_icons' => false,
				'align' => 'extended',
			),
			'controls' => array(
				array(
					'type' => 'color',
					'label' => esc_html__( 'Overlay border color', 'leedo' ),
					'name' => 'work_style_1_overlay_border_color',
					'default' => '',
					'alpha' => false,
					'style' => array(
						array(
							'element' => '.vp-portfolio__items-style-leedo_work_style_1',
							'property' => '--vp-items-style-leedo-work-style-1-overlay-border-color',
						),
					),
				),
				array(
					'type' => 'color',
					'label' => esc_html__( 'Overlay background color', 'leedo' ),
					'name' => 'work_style_1_overlay_background_color',
					'default' => '',
					'alpha' => true,
					'style' => array(
						array(
							'element' => '.vp-portfolio__items-style-leedo_work_style_1',
							'property' => '--vp-items-style-fade--overlay__background-color',
						),
					),
				),
				array(
					'type' => 'color',
					'label' => esc_html__( 'Overlay text color', 'leedo' ),
					'name' => 'work_style_1_overlay_text_color',
					'default' => '',
					'alpha' => true,
					'style' => array(
						array(
							'element' => '.vp-portfolio__items-style-leedo_work_style_1',
							'property' => '--vp-items-style-fade--overlay__color',
						),
					),
				)
			)
		);

		$custom_style['leedo_work_style_2'] = array(
			'title' => esc_html__( '[Work] Style 2', 'leedo' ),
			'icon' => '<svg width="20px" height="21px" viewBox="0 0 20 21" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd"><g fill-rule="nonzero" stroke="currentColor" stroke-width="1.5"><rect id="Rectangle" x="0.75" y="0.75" width="18.5" height="18.625" rx="1.25"></rect><line x1="6" y1="15" x2="14.21425" y2="15" id="Path" fill="currentColor" stroke-linecap="round" stroke-linejoin="round"></line><line x1="5.98800763" y1="13.9127432" x2="5.5" y2="4.5" id="Path" fill="currentColor" stroke-linecap="round" stroke-linejoin="round"></line></g></g></svg>',
			'builtin_controls' => array(
				'show_title' => true,
				'show_categories' => true,
				'show_date' => false,
				'show_excerpt' => false,
				'show_icons' => false,
				'align' => 'extended',
			),
			'controls' => array(
				array(
					'type' => 'color',
					'label' => esc_html__( 'Overlay background color', 'leedo' ),
					'name' => 'work_style_2_overlay_background_color',
					'default' => '',
					'alpha' => true,
					'style' => array(
						array(
							'element' => '.vp-portfolio__items-style-leedo_work_style_2',
							'property' => '--vp-items-style-fade--overlay__background-color',
						),
					),
				),
				array(
					'type' => 'color',
					'label' => esc_html__( 'Overlay text color', 'leedo' ),
					'name' => 'work_style_2_overlay_text_color',
					'default' => '',
					'alpha' => true,
					'style' => array(
						array(
							'element' => '.vp-portfolio__items-style-leedo_work_style_2',
							'property' => '--vp-items-style-fade--overlay__color',
						),
					),
				)
			)
		);

		$custom_style['leedo_work_style_3'] = array(
			'title' => esc_html__( '[Work] Style 3', 'leedo' ),
			'icon' => '<svg width="20px" height="21px" viewBox="0 0 20 21" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd"><g fill-rule="nonzero" stroke="currentColor" stroke-width="1.5"><rect id="Rectangle" x="0.75" y="0.75" width="18.5" height="18.625" rx="1.25"></rect><line x1="6" y1="15" x2="14.21425" y2="15" id="Path" fill="currentColor" stroke-linecap="round" stroke-linejoin="round"></line><line x1="5.98800763" y1="13.9127432" x2="5.5" y2="4.5" id="Path" fill="currentColor" stroke-linecap="round" stroke-linejoin="round"></line></g></g></svg>',
			'builtin_controls' => array(
				'show_title' => true,
				'show_categories' => false,
				'show_date' => false,
				'show_excerpt' => false,
				'show_icons' => false,
				'align' => false,
			),
			'controls' => array(
				array(
					'type' => 'color',
					'label' => esc_html__( 'Overlay background color', 'leedo' ),
					'name' => 'work_style_3_overlay_background_color',
					'default' => '',
					'alpha' => true,
					'style' => array(
						array(
							'element' => '.vp-portfolio__items-style-leedo_work_style_3',
							'property' => '--vp-items-style-fade--overlay__background-color',
						),
					),
				),
			)
		);

		$custom_style['leedo_work_style_4'] = array(
			'title' => esc_html__( '[Work] Style 4', 'leedo' ),
			'icon' => '<svg width="20px" height="21px" viewBox="0 0 20 21" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd"><g fill-rule="nonzero" stroke="currentColor" stroke-width="1.5"><rect id="Rectangle" x="0.75" y="0.75" width="18.5" height="18.625" rx="1.25"></rect><line x1="6" y1="15" x2="14.21425" y2="15" id="Path" fill="currentColor" stroke-linecap="round" stroke-linejoin="round"></line><line x1="5.98800763" y1="13.9127432" x2="5.5" y2="4.5" id="Path" fill="currentColor" stroke-linecap="round" stroke-linejoin="round"></line></g></g></svg>',
			'builtin_controls' => array(
				'show_title' => true,
				'show_categories' => true,
				'show_date' => false,
				'show_excerpt' => false,
				'show_icons' => false,
				'align' => true,
			),
			'controls' => array(
				array(
					'type' => 'select2',
					'label' => esc_html__( 'Style', 'leedo' ),
					'name' => 'work_style_4_style',
					'options' => array(
						'style-1' => esc_html__( 'Style 1', 'leedo' ),
						'style-2' => esc_html__( 'Style 2', 'leedo' ),
					),
					'default' => 'style-1',
					'searchable' => false,
					'multiple' => false,
					'tags' => false,
				),
				array(
					'type' => 'color',
					'label' => esc_html__( 'Overlay background color', 'leedo' ),
					'name' => 'work_style_4_overlay_background_color',
					'default' => '',
					'alpha' => true,
					'style' => array(
						array(
							'element' => '.vp-portfolio__items-style-leedo_work_style_4',
							'property' => '--vp-items-style-leedo-work-style-4-overlay-background-color',
						),
					),
				),
			)
		);
		return array_merge( $items_styles, $custom_style );
	}
}
add_filter( 'vpf_extend_items_styles', 'leedo_vpf_extend_items_styles' );

/**
 * Add new tiles
 */
if ( ! function_exists( 'leedo_vpf_extend_tiles' ) ) {
	function leedo_vpf_extend_tiles( $tiles ) {

		// Blog 01
		$tiles[] = array(
			'value' => '3|1,0.7|'
		);

		// Blog 02
		$tiles[] = array(
			'value' => '4|1,0.75|1,0.85|1,0.66|1,1|1,0.85|1,0.66|1,1|1,0.75|'
		);

		// Blog 03
		$tiles[] = array(
			'value' => '3|1,0.7|1,0.85|1,0.7|1,0.85|1,0.85|1,0.7|'
		);

		// Blog 04
		$tiles[] = array(
			'value' => '2|1,0.66|'
		);

		// Blog 05
		// ...

		// Blog 06 / 07
		$tiles[] = array(
			'value' => '1|1,0.6|'
		);

		// Portfolio 01
		$tiles[] = array(
			'value' => '3|1,0.9|'
		);

		// Portfolio 02
		$tiles[] = array(
			'value' => '3|1,0.9|1,1.8|1,0.9|1,0.9|1,0.9|1,0.9|1,0.9|1,0.9|'
		);

		// Portfolio 03
		$tiles[] = array(
			'value' => '4|1,0.9|1,1.8|1,0.9|1,0.9|1,0.9|1,0.9|1,1.8|1,1.8|1,0.9|1,1.8|1,0.9|'
		);

		// Portfolio 04
		$tiles[] = array(
			'value' => '3|1,1.15|1,0.75|1,0.9|1,1.15|1,0.75|1,0.65|1,0.65|1,0.9|1,0.65|1,1.15|1,0.9|1,0.75|'
		);

		// Portfolio 05
		$tiles[] = array(
			'value' => '2|1,0.58|1,0.58|'
		);

		return $tiles;

	}
}
add_filter( 'vpf_extend_tiles', 'leedo_vpf_extend_tiles' );