<?php
/**
 * Item meta template.
 *
 * @var $args
 * @var $opts
 *
 * @package @@plugin_name
 */

// phpcs:disable WordPress.NamingConventions.PrefixAllGlobals.NonPrefixedVariableFound

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$show_meta = $opts['show_title'] && $args['title'] ||
	$opts['show_categories'] && $args['categories'] && ! empty( $args['categories'] );

$templates_data = array(
	'args'        => $args,
	'opts'        => $opts,
	'allow_links' => ! $args['url'],
);

$link_data = array(
	'href'     => $args['url'],
	'target'   => $args['url_target'],
	'rel'      => $args['url_rel'],
	'fallback' => 'span',
	'class'    => 'vp-portfolio__item-meta',
	'tabindex' => '-1',
);

?>

<figcaption class="vp-portfolio__item-overlay vp-portfolio__item-align-<?php echo esc_attr( $opts['align'] ); ?>">

	<div class="vp-portfolio__item-meta-wrap vp-portfolio__custom-scrollbar">

		<?php visual_portfolio()->include_template( 'global/link-start', $link_data ); ?>

		<?php

			if ( $show_meta ) {

				// Title.
				visual_portfolio()->include_template( 'items-list/item-parts/title', $templates_data );

				// Categories.
				visual_portfolio()->include_template( 'items-list/item-parts/meta-categories', $templates_data );
			}

		?>

		<?php visual_portfolio()->include_template( 'global/link-end', $link_data ); ?>

	</div>

</figcaption>