<?php
/**
 * Item image template.
 *
 * @var $args
 * @var $opts
 *
 * @package @@plugin_name
 */

// phpcs:disable WordPress.NamingConventions.PrefixAllGlobals.NonPrefixedVariableFound

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$link_data = array(
	'href'   => $args['url'],
	'target' => $args['url_target'],
	'rel'    => $args['url_rel'],
);

?>

<div class="vp-portfolio__item-img-wrap">

	<div class="vp-portfolio__item-img">

		<?php visual_portfolio()->include_template( 'global/link-start', $link_data ); ?>

		<?php

			// Show Image.
			visual_portfolio()->include_template(
				'items-list/item-parts/image',
				array( 'image' => $args['image'] )
			);

		?>

		<div class="vp-portfolio__item-img-overlay">

			<?php if ( $opts['work_style_4_style'] == 'style-1' ) : ?>

				<span class="vlt-watch-trailer">
					<i class="leedo-play-button"></i> <?php esc_html_e( 'Watch Trailer', 'leedo' ); ?>
				</span>

			<?php else: ?>

				<span class="vlt-video-link"><i class="leedo-play-button"></i></span>

			<?php endif; ?>

		</div>

		<?php visual_portfolio()->include_template( 'global/link-end', $link_data ); ?>

	</div>

</div>