<?php
/**
 * Item meta template.
 *
 * @var $args
 * @var $opts
 *
 * @package @@plugin_name
 */

// phpcs:disable WordPress.NamingConventions.PrefixAllGlobals.NonPrefixedVariableFound

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$show_meta = $opts['show_title'] && $args['title'] ||
	$opts['show_categories'] && $args['categories'] && ! empty( $args['categories'] );

$templates_data = array(
	'args'        => $args,
	'opts'        => $opts,
	'allow_links' => true,
);

?>

<figcaption class="vp-portfolio__item-overlay vp-portfolio__item-align-<?php echo esc_attr( $opts['align'] ); ?>">

	<?php if ( $show_meta ) : ?>

		<div class="vp-portfolio__item-meta">

			<?php

				// Title.
				visual_portfolio()->include_template( 'items-list/item-parts/title', $templates_data );

				// Categories.
				visual_portfolio()->include_template( 'items-list/item-parts/meta-categories', $templates_data );

			?>

		</div>

	<?php endif; ?>

</figcaption>